name: roomfit_studio
description: "Roomfit trainer/owner app (B2B Studio)."
publish_to: 'none'

version: 1.0.0+8

environment:
  sdk: ^3.10.0

resolution: workspace

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.8
  roomfit_protocol:
    path: ../../packages/roomfit_protocol
  roomfit_device:
    path: ../../packages/roomfit_device
  roomfit_ble:
    path: ../../packages/roomfit_ble
  roomfit_exercise:
    path: ../../packages/roomfit_exercise
  roomfit_firmware:
    path: ../../packages/roomfit_firmware
  roomfit_shop:
    path: ../../packages/roomfit_shop
  roomfit_workout:
    path: ../../packages/roomfit_workout
  design_system:
    path: ../../packages/design_system
  flutter_blue_plus: ^1.35.0
  flutter_riverpod: ^3.0.0
  http: ^1.2.0
  riverpod_annotation: ^3.0.0
  freezed_annotation: ^3.0.0
  supabase_flutter: ^2.12.2
  fl_chart: ^0.69.0
  intl: ^0.20.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  integration_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  build_runner: ^2.4.0
  freezed: ^3.0.0
  riverpod_generator: ^3.0.0
  json_serializable: ^6.9.0
  flutter_launcher_icons: ^0.14.1
  flutter_native_splash: ^2.4.7

flutter:
  uses-material-design: true
  assets:
    - assets/images/

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/app_icon_studio.png"
  remove_alpha_ios: true

flutter_native_splash:
  # Roomfit Studio launch screen. Same art as the app icon, on a white
  # background for seamless handoff from the icon tap → splash → login.
  # Matches iOS 13+ Storyboard + Android 12 SplashScreen APIs.
  color: "#FFFFFF"
  image: assets/images/app_icon_studio.png
  color_dark: "#0A0A0A"
  image_dark: assets/images/app_icon_studio.png
  ios: true
  android: true
  fullscreen: false
  android_12:
    image: assets/images/app_icon_studio.png
    icon_background_color: "#FFFFFF"
    image_dark: assets/images/app_icon_studio.png
    icon_background_color_dark: "#0A0A0A"
